package com.lovecoding.day03;


/**
 * @author WanJl
 * @version 1.0
 * @title Demo02
 * @description 循环结构--for--while---do...while
 * @create 2026/7/9
 */
public class Demo02 {
    public static void main(String[] args) {
        for (int i = 0; i < 10; i++) {
            System.out.println(i);
        }

        /*
            for(初始化循环变量;循环条件;循环变量更新){
                循环体;
            }
            1、执行 初始化循环变量    int i = 0
            2、循环条件 进行判断     i < 10  如果判断结果为true,就执行第3步，否则执行第4步
            3、执行循环体 System.out.println(i);
            4、跳出循环
            5、执行 循环变量更新 自增 自减  i++，执行完后跳转回第2步
         */

        /*
            初始化循环变量
            while(循环条件){
                循环体;
                循环变量更新;
            }
         */
        int j=0;    //初始化循环变量
        while (j<10){   //循环条件
            System.out.println(j);  //循环体;
            j++;    //循环变量更新;
        }

        /*
            do...while


            初始化循环变量
            do{
                循环体;
                循环变量更新;
            }while(循环条件);
            //do...while 无论条件是否为true，都会先执行一次循环体
         */

        /*
            使用三种循环：分别输出1~100；
            使用三种循环：分别统计1~100的和
         */
        int sum=0;
        for (int i = 0; i < 101; i++) {
            if (i%2==0){    //判断只有i是偶数的时候，才会累加到sum中
                sum=sum+i;
            }

        }

    }

}
